import std.algorithm, std.stdio, std.string;

void main()
{
    // Рас­счи­тать таб­ли­цу час­тот
    uint[string] freqs;
    foreach (line; stdin.byLine())
    {
        foreach (word; line.strip.splitter)
        {
            ++freqs[word.idup];
        }
    }

    // На­пе­ча­тать таб­ли­цу час­тот
    foreach (key, value; freqs)
    {
        writefln("%6u\t%s", value, key);
    }

    // На­пе­ча­тать таб­ли­цу час­тот с сортировкой
    string[] words = freqs.keys;
    sort!((a, b) { return freqs[a] > freqs[b]; })(words);
    foreach (word; words)
    {
        writefln("%6u\t%s", freqs[word], word);
    }
}
